GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "20c1101f-5b76-4a1b-82bb-c73c4b1949c5",
"private_locations": [
{
"private_location_id": "efde46ab-79d0-4773-83ce-e3ab9b8f764a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f4d14a8a-244d-4923-940e-15e2d070f4ed"
},
{
"private_location_id": "0a3e2b4e-d11b-464a-8474-2c12ca2a9894",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "344e2504-4fd4-4e84-802d-b0c67b5d2aca"
},
{
"private_location_id": "f0a58f6c-58af-49d3-98a3-a0c4cf0357dd",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "eed37134-2a47-4136-b22e-d7b7e843b81e"
}
]
},
{
"access_group": "fc12b38e-fc84-4915-b03c-0871232c4203",
"private_locations": [
{
"private_location_id": "0a3e2b4e-d11b-464a-8474-2c12ca2a9894",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "344e2504-4fd4-4e84-802d-b0c67b5d2aca"
},
{
"private_location_id": "0a3e2b4e-d11b-464a-8474-2c12ca2a9894",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "344e2504-4fd4-4e84-802d-b0c67b5d2aca"
},
{
"private_location_id": "f0a58f6c-58af-49d3-98a3-a0c4cf0357dd",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "eed37134-2a47-4136-b22e-d7b7e843b81e"
}
]
},
{
"access_group": "77e6e97a-0fac-4565-bf22-01cecae0099c",
"private_locations": [
{
"private_location_id": "f0a58f6c-58af-49d3-98a3-a0c4cf0357dd",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "eed37134-2a47-4136-b22e-d7b7e843b81e"
},
{
"private_location_id": "f0a58f6c-58af-49d3-98a3-a0c4cf0357dd",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "eed37134-2a47-4136-b22e-d7b7e843b81e"
},
{
"private_location_id": "efde46ab-79d0-4773-83ce-e3ab9b8f764a",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f4d14a8a-244d-4923-940e-15e2d070f4ed"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |